%define _unpackaged_files_terminate_build 1

%define ver_major 2.28

%def_disable debug
%def_enable nautilus
%def_enable agent
%def_enable gnome_keyring
%def_enable applet
%def_enable dbus
%def_enable libnotify
%if_enabled dbus
%def_enable epiphany
%def_enable gedit
%endif

Name: seahorse-plugins
Version: %ver_major.1
Release: alt1

Summary: Plugins and utilities for Seahorse
License: %gpllgpl2plus
Group: Graphical desktop/GNOME
Url: http://www.gnome.org/projects/%name/
Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2
Source2: seahorse-agent.sh

BuildPreReq: rpm-build-gnome

# From configure.in
BuildPreReq: intltool >= 0.35
BuildPreReq: gnome-doc-utils
BuildPreReq: libglade-devel
BuildPreReq: libGConf-devel
BuildPreReq: libgtk+2-devel >= 2.10.0
BuildPreReq: libgio-devel
BuildPreReq: gnupg2-gpg
BuildPreReq: libgpgme-devel >= 1.0.0
BuildPreReq: libseahorse-devel >= %ver_major
%{?_enable_gnome_keyring:BuildPreReq: libgnome-keyring-devel}

%if_enabled nautilus
BuildPreReq: libnautilus-devel >= 2.12.0
BuildPreReq: glib2-devel >= 2.10.0
%endif

%if_enabled dbus
BuildPreReq: libdbus-glib-devel >= 0.35
%{?_enable_gedit:BuildPreReq: gedit-devel >= 2.6}
%{?_enable_applet:BuildPreReq: libgnome-panel-devel >= 2.9.4}
%if_enabled epiphany
BuildPreReq: epiphany-devel >= 2.26.0
BuildPreReq: xulrunner-devel
BuildPreReq: libxml2-devel >= 2.6.0
BuildPreReq: glib2-devel >= 2.10.0
%endif
%endif

%{?_enable_libnotify:BuildPreReq: libnotify-devel >= 0.3}
BuildPreReq: evolution-data-server-devel >= 1.7.90

BuildRequires: docbook-dtds gcc-c++ perl-XML-Parser python-modules-compiler
BuildRequires: rpm-build-licenses 
BuildRequires: desktop-file-utils

%description
Seahorse is a graphical interface for managing and using encryption keys. 
Currently it supports PGP keys using for Gnu Privacy Guard. Its goal is to 
provide an easy to use Key Management Tool, along with an easy to use interface for encryption operations.


%package common
Summary: Plugins and utilities for Seahorse
Group: Graphical desktop/GNOME
PreReq: seahorse >= %version

%description common
Seahorse is a graphical interface for managing and using encryption keys. 
Currently it supports PGP keys using for Gnu Privacy Guard. Its goal is to 
provide an easy to use Key Management Tool, along with an easy to use interface for encryption operations.

%package -n seahorse-agent
Summary: Seahorse GPG/SSH Agent
Group: File tools
PreReq: %name-common = %version-%release
Provides: %name-agent = %version-release
Obsoletes: %name-agent < %version-release
Conflicts: gnupg2-agent
# TODO: When Bug #10595 is fixed, replace this with ssh-agent.
Requires: openssh-clients

%description -n seahorse-agent
Seahorse is a graphical interface for managing and using encryption keys. 
Currently it supports PGP keys using for Gnu Privacy Guard. Its goal is to 
provide an easy to use Key Management Tool, along with an easy to use interface for encryption operations.

This package contains Seahorse Agent, a program that caches GPG/SSH passphrases
for the session. IMPORTANT NOTE: Seahorse Agent interacts with ssh-agent BUT is
not able to interact with gpg-agent, it appears as gpg-agent itself. Please
switch gpg-agent off if you intend to use seahorse-agent for GPG passphrases
caching.

%package -n nautilus-seahorse
Summary: Seahorse Nautilus plugin
Group: File tools
PreReq: nautilus
PreReq: %name-common = %version-%release

%description -n nautilus-seahorse
Seahorse is a graphical interface for managing and using encryption keys. 
Currently it supports PGP keys using for Gnu Privacy Guard. Its goal is to 
provide an easy to use Key Management Tool, along with an easy to use interface for encryption operations.

This package contains seahorse Nautilus plugin.

%package -n gedit-plugins-seahorse
Summary: Seahorse gEdit plugin
Group: Editors
PreReq: gedit
PreReq: %name-common = %version-%release

%description -n gedit-plugins-seahorse
Seahorse is a graphical interface for managing and using encryption keys. 
Currently it supports PGP keys using for Gnu Privacy Guard. Its goal is to 
provide an easy to use Key Management Tool, along with an easy to use interface for encryption operations.

This package contains seahorse gEdit plugin.

%package -n gnome-applets-seahorse
Summary: Seahorse panel applet
Group: Graphical desktop/GNOME
PreReq: %name-common = %version-%release

%description -n gnome-applets-seahorse
Seahorse is a graphical interface for managing and using encryption keys. 
Currently it supports PGP keys using for Gnu Privacy Guard. Its goal is to 
provide an easy to use Key Management Tool, along with an easy to use interface for encryption operations.

This package contains Seahorse applet for the GNOME panel.

%package -n epiphany-extension-seahorse
Group: Networking/WWW
Summary: Seahorse plugin for Epiphany
Requires: epiphany
PreReq: %name-common = %version-%release

%description -n epiphany-extension-seahorse
Seahorse is a graphical interface for managing and using encryption keys. 
Currently it supports PGP keys using for Gnu Privacy Guard. Its goal is to 
provide an easy to use Key Management Tool, along with an easy to use interface for encryption operations.

This package integrates Seahorse with the Epiphany web browser.

%prep
%setup -q

%build
%autoreconf
GNUPG=/usr/bin/gpg2; export GNUPG
%configure \
	%{subst_enable nautilus} \
	%{subst_enable agent} \
	%{subst_enable sharing} \
	%{subst_enable epiphany} \
	--with-gecko=libxul-unstable \
	%{subst_enable gedit} \
	%{subst_enable applet} \
	%{subst_enable libnotify} \
	%{subst_enable debug} \
	--enable-tests \
	--disable-static \
	--disable-scrollkeeper \
	--disable-schemas-install \
	--disable-update-mime-database

%make_build

%install
%make_install install DESTDIR=%buildroot

mkdir -p %buildroot%_sysconfdir/profile.d
install -m755 %SOURCE2 %buildroot%_sysconfdir/profile.d/seahorse-agent.sh

%find_lang --with-gnome %name
%find_lang --with-gnome seahorse-applet

%post common
%gconf2_install %name

%preun common
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%post -n gedit-plugins-seahorse
%gconf2_install seahorse-gedit

%preun -n gedit-plugins-seahorse
if [ $1 = 0 ]; then
%gconf2_uninstall seahorse-gedit
fi

%files common -f %name.lang
%_bindir/seahorse-tool
%_bindir/seahorse-preferences
%config %gconf_schemasdir/%name.schemas
%_datadir/%name/glade/seahorse-multi-encrypt.glade
%_datadir/%name/glade/seahorse-notify.glade
%_datadir/%name/glade/seahorse-prefs.glade
%_datadir/%name/glade/seahorse-progress.glade
%_desktopdir/*.desktop
%_pixmapsdir/%name
%_man1dir/seahorse-tool.*

%files -n seahorse-agent
%_bindir/seahorse-agent
%_datadir/%name/glade/seahorse-agent-cache.glade
%_man1dir/seahorse-agent.*
%_sysconfdir/profile.d/seahorse-agent.sh

%files -n nautilus-seahorse
%nautilus_extdir/*
%exclude %nautilus_extdir/*.la
%_datadir/mime/packages/*

%files -n gedit-plugins-seahorse
%gedit_pluginsdir/*
%exclude %gedit_pluginsdir/*.la
%config %gconf_schemasdir/seahorse-gedit.schemas

%files -n gnome-applets-seahorse -f seahorse-applet.lang
%_libdir/seahorse/seahorse-applet
%bonobo_serversdir/*.server
%_datadir/gnome-2.0/ui/*.xml
%_datadir/%name/glade/seahorse-applet-*.glade
%_pixmapsdir/seahorse-applet.*
%_iconsdir/hicolor/*/apps/seahorse-applet.*

%if_enabled epiphany
%files -n epiphany-extension-seahorse
%_libdir/epiphany/*/extensions/*
%exclude %_libdir/epiphany/*/extensions/*.la
%endif

%changelog
* Mon Oct 19 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.1-alt1
- 2.28.1

* Wed Sep 23 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.0-alt1
- 2.28.0

* Tue Sep 08 2009 Yuri N. Sedunov <aris@altlinux.org> 2.27.1-alt1
- 2.27.1

* Fri Jul 24 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.2-alt2
- fix build against gpgme with LFS

* Thu May 21 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.2-alt1
- 2.26.2

* Tue May 05 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.1-alt3
- new seahorse-agent.sh script moved to /etc/profile.d (tnkx shrek@)
- seahorse-agent conflicts with gnupg2-agent

* Thu Apr 30 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.1-alt2
- used gnupg2
- fixed gnome bug #579738
- removed warnings about gpg-agent usage

* Mon Apr 13 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.1-alt1
- 2.26.1

* Sun Mar 22 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt1
- 2.26.0

* Tue Mar 10 2009 Yuri N. Sedunov <aris@altlinux.org> 2.25.92-alt1
- 2.25.92
- removed obsolete %%post{,un} scripts
- updated buildreqs

* Mon Oct 13 2008 Alexey Shabalin <shaba@altlinux.ru> 2.24.0-alt2
- back rename %name-agent to seahorse-agent

* Wed Oct 01 2008 Alexey Shabalin <shaba@altlinux.ru> 2.24.0-alt1
- 2.24.0 (based on seahorse.spec)

* Tue Jul 01 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.3-alt1
- new version (2.22.3)

* Mon Jun 02 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.2-alt1
- new version (2.22.2)
- cleanup configure options

* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 2.22.1-alt1.qa1
- NMU (by repocop): the following fixes applied:
 * desktop-mime-entry for seahorse
 * update_menus for seahorse

* Tue Apr 08 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.1-alt1
- new version (2.22.1)

* Sun Mar 23 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt1.1
- build for Sisyphus

* Tue Mar 18 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt1
- new version (2.22.0)

* Mon Feb 04 2008 Alexey Shabalin <shaba@altlinux.ru> 2.20.3-alt1
- new version (2.20.3)
- add Packager
- update License
- fix files (for find_lang)

* Mon Dec 03 2007 Alexey Shabalin <shaba@altlinux.ru> 2.20.1-alt1
- new version (2.20.1)
- add package epiphany-extension-seahorse (build with firefox gecko), but disabled build default
- move found %%name.lang to main package

* Fri Jul 27 2007 Alexey Rusakov <ktirf@altlinux.org> 1.0.1-alt2
- added libSM-devel to buildreqs
- use macros from rpm-build-gnome

* Mon Apr 30 2007 Alexey Rusakov <ktirf@altlinux.org> 1.0.1-alt1
- new version (1.0.1)
- updated dependencies

* Wed Mar 14 2007 Alexey Rusakov <ktirf@altlinux.org> 1.0-alt1
- new version (1.0)
- enabled cryptui tests building

* Thu Mar 01 2007 Alexey Rusakov <ktirf@altlinux.org> 0.9.92-alt1
- new version 0.9.92 (with rpmrb script)

* Sat Feb 17 2007 Alexey Rusakov <ktirf@altlinux.org> 0.9.91-alt1
- new version 0.9.91 (with rpmrb script)

* Sat Jan 27 2007 Alexey Rusakov <ktirf@altlinux.org> 0.9.10-alt4
- Another replacement of %%_libexecdir with %%_libdir.

* Fri Jan 26 2007 Alexey Rusakov <ktirf@altlinux.org> 0.9.10-alt3
- %%_libdir instead of %%_libexecdir in libseahorse, to fix building on x86_64.

* Sun Jan 07 2007 Alexey Rusakov <ktirf@altlinux.org> 0.9.10-alt2
- added def_enable debug, enabled by default.
- minor update of buildreqs.
- fixed insufficient buildreqs and reqs (openssh-clients was missed out)

* Fri Jan 05 2007 Alexey Rusakov <ktirf@altlinux.org> 0.9.10-alt1
- new version (0.9.10)

* Tue Jan 02 2007 Alexey Rusakov <ktirf@altlinux.org> 0.9.9-alt2
- no more manual setup of seahorse-agent necessary, the appropriate script is
  installed to /etc/X11/profile.d/ directory.
- seahorse-agent replaces gpg-agent functionality, a warning about this is put
  into %%post script.

* Sun Dec 24 2006 Alexey Rusakov <ktirf@altlinux.org> 0.9.9-alt1
- new version (0.9.9)
- removed a patch that fixes linking, as it is not correct anymore (wonder why
  it still applies)
- files list updated
- enabled _unpackaged_files_terminate_build macro

* Thu Apr 20 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.9.1-alt1
- new version

* Mon Apr 03 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.9.0-alt1
- new version (0.9.0)
- removed Debian menu support
- updated dependencies
- introduced many switches, to control various Seahorse features.
- for backporters: older gedit is supported again.

* Tue Jan 17 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.8-alt1
- new version

* Tue Oct 25 2005 Sir Raorn <raorn@altlinux.ru> 0.7.9-alt2
- Fix gedit requirements

* Sat Aug 27 2005 Sir Raorn <raorn@altlinux.ru> 0.7.9-alt1
- [0.7.9]

* Mon May 23 2005 Sir Raorn <raorn@altlinux.ru> 0.7.8-alt1
- [0.7.8]

* Tue Oct 19 2004 ALT QA Team Robot <qa-robot@altlinux.org> 0.6.3-alt1.1
- Updated build dependencies (libgpgme-compat-devel).

* Wed May 12 2004 Sir Raorn <raorn@altlinux.ru> 0.6.3-alt1
- [0.6.3]

* Tue Jun 12 2001 AEN <aen@logic.ru> 0.5.0-alt1
- 0.5.0
- russian po-file fixed

* Tue Jan 30 2001 Dmitry V. Levin <ldv@fandra.org> 0.4.9-ipl1mdk
- RE adaptions.

* Mon Jan 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.9-1mdk
- updated to 0.4.9

* Fri Sep 15 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.6-2mdk
- macros
- bm
- menu

* Mon Apr 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.6-1mdk
- fix group
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Sun Mar 19 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.3.6
- specfile changes for spec-helper

* Fri Feb 11 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
- bzip manpages




